{
  lib,
  inputs,
  outputs,
  systemConfig,
  ...
}:

{
  imports = [
    inputs.catppuccin.homeModules.catppuccin
    (lib.custom.relativeToRoot "shared/home-manager/development/git.nix")
    (lib.custom.relativeToRoot "shared/home-manager/development/helix.nix")
    (lib.custom.relativeToRoot "shared/home-manager/shell/btop.nix")
    (lib.custom.relativeToRoot "shared/home-manager/shell/eza.nix")
    (lib.custom.relativeToRoot "shared/home-manager/shell/fastfetch.nix")
    (lib.custom.relativeToRoot "shared/home-manager/shell/fish.nix")
    (lib.custom.relativeToRoot "shared/home-manager/shell/zoxide.nix")
    (lib.custom.relativeToRoot "shared/home-manager/gpg.nix")
  ];

  home.stateVersion = systemConfig.version;

  # Adds pkgs.unstable in order to fetch packages from unstable repositories
  nixpkgs.overlays = [ outputs.overlays.unstable-packages ];

  programs = {
    git.signing.key = "E3FA0E995C0D0E5E";
    # Let Home Manager install and manage itself.
    home-manager.enable = true;
  };

}
