{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    gst_all_1.gstreamer
    gst_all_1.gst-plugins-base
    gst_all_1.gst-plugins-good
    gst_all_1.gst-plugins-bad

    wireplumber
    playerctl # Interaction with audioplayers and browsers
    pavucontrol # GUI
    spotify
  ];

  hardware.pulseaudio.enable = false; # Will be moved to services in 25.05

  security.rtkit.enable = true; # Enable RealtimeKit for audio purposes

  services = {
    pipewire = {
      enable = true;
      alsa = {
        enable = true;
        support32Bit = true;
      };
      pulse.enable = true;
      # Uncomment the following line if you want to use JACK applications
      # jack.enable = true;
    };
    # pulseaudio.enable = false; # TODO uncommenct at 25.05
  };
}
